<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>ParkShark Listening Daemon: ProtocolMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ParkShark Listening Daemon
   &#160;<span id="projectnumber">v0.5</span>
   </div>
   <div id="projectbrief">Senior Design Team E - Server Side Protocol Message Listener</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_protocol_message-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ProtocolMessage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for ProtocolMessage:</div>
<div class="dyncontent">
<div class="center"><img src="class_protocol_message__coll__graph.png" border="0" usemap="#_protocol_message_coll__map" alt="Collaboration graph"/></div>
<map name="_protocol_message_coll__map" id="_protocol_message_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a966681e9ae058f955f2d46edab706e57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a966681e9ae058f955f2d46edab706e57"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ProtocolMessage</b> (const char *msg, int len)</td></tr>
<tr class="separator:a966681e9ae058f955f2d46edab706e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf7e9db8b75a106177cfd9e3c0e5924"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0cf7e9db8b75a106177cfd9e3c0e5924"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsValid</b> ()</td></tr>
<tr class="separator:a0cf7e9db8b75a106177cfd9e3c0e5924"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11ef8169b8969ca1a3d433e9d4a7da57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11ef8169b8969ca1a3d433e9d4a7da57"></a>
short int&#160;</td><td class="memItemRight" valign="bottom"><b>GetSenderId</b> ()</td></tr>
<tr class="separator:a11ef8169b8969ca1a3d433e9d4a7da57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e3ce79900ff5d61519d327d35064875"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e3ce79900ff5d61519d327d35064875"></a>
short int&#160;</td><td class="memItemRight" valign="bottom"><b>GetCarChange</b> ()</td></tr>
<tr class="separator:a8e3ce79900ff5d61519d327d35064875"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/oem/Desktop/ListeningDaemon/msg/<a class="el" href="protocol_msg_8hpp_source.html">protocolMsg.hpp</a></li>
<li>/home/oem/Desktop/ListeningDaemon/msg/protocolMsg.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 17 2015 21:45:54 for ParkShark Listening Daemon by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
